# Walkthrough
---

## System Setup

- **System Update**: Starts a system-wide update.
- **Compile Setup**: Installs tools and dependencies for compiling software.
- **Gaming Setup**: Configures Steam, Lutris, etc.
- **Global Theming**: Sets up and manages global themes.
- **Remove Snaps**: Removes snap packages.
- **TTY Fonts**: This Script will set the default TTY font to Terminus size 32 Bold

### Arch Setup

- **Paru Setup**: Installs the Paru AUR helper.
- **Yay Setup**: Installs the Yay AUR helper.
- **Server Setup**: Installs Arch Linux.

### Fedora Setup

- **RPM Fusion Setup**: Adds RPM Fusion free and nonfree repositories.
- **Multimedia Codecs**: Installs multimedia codecs and updates multimedia-related packages. Requires RPM Fusion repositories to be set up first.
- **NVIDIA Proprietary Driver Setup**: Installs proprietary NVIDIA drivers for GPUs from 2014 or later.
- **Virtualization Setup**: Installs virtualization tools.
- **Configure DNF**: Optimizes DNF for better speeds.

## Applications Setup

- **Flathub**: Installs Flatpak and Flathub.
- **Alacritty Setup**: Installs and configures Alacritty for you.
- **DwmTitus Setup**: Sets up the Dwm window manager.
- **Kitty Setup**: Installs and configures Kitty for you.
- **Rofi Setup**: Installs the Rofi application/script launcher.
- **Zsh Setup**: Installs and configures Zsh for you.
- **Fastfetch Setup**: Installs and configures Fastfetch.
- **Linutil Updater**: Updates the Linutil AUR / Crates.io Package.
- **Linutil Installer**: Installs Linutil via Crates.io or AUR.
- **Office Suite Setup**: Installs various office suites and PDF viewers (OnlyOffice, LibreOffice, WPS Office, FreeOffice, Evince, Okular, PDF Studio Viewer, PDF Studio).

### Developer Tools

- **Meld Setup**: Installs Meld, a visual diff and merge tool.
- **Ngrok Setup**: Installs Ngrok, a tool for creating secure tunnels to localhost.
- **Neovim Setup**: Installs and configures Neovim, a Vim-based text editor.
- **VS Code Setup**: Installs Visual Studio Code, a popular text editor.
- **Sublime Setup**: Installs Sublime Text, a nice text editor for code and markup.
- **VS Codium Setup**: Installs VS Codium, an open-source build of VS Code.
- **GitHub Desktop Setup**: Installs GitHub Desktop, a GUI for Git and GitHub.

## Security Features

- **Firewall Baselines**: Sets up firewall rules.

## Utilities

- **Wifi Control**: Controls WiFi settings.
- **Numlock Control**: Sets up Numlock on boot.
- **Bluetooth Control**: Controls Bluetooth settings.

### Monitor control

- **Reset Scaling**: Resets monitor scaling to native resolution.
- **Scale Monitor**: Scales smaller monitors to the highest resolution of a bigger monitor.
- **Enable Monitor**: Enables a selected monitor.
- **Disable Monitor**: Disables a selected monitor.
- **Set Brightness**: Adjusts brightness for a selected monitor.
- **Set Resolutions**: Sets resolutions for connected monitors.
- **Change Orientation**: Changes the orientation of a selected monitor.
- **Extend Displays**: Extends displays to the right.
- **Duplicate Displays**: Duplicates displays.
- **Manage Arrangement**: Manages the arrangement of multiple monitors.
- **Set Primary Monitor**: Sets a selected monitor as the main display.
- **Auto Detect Displays**: Sets common resolution.

### User Account Manager

- **Add User**: Creates a new user account.
- **Delete User**: Deletes an existing user account.
- **Add to Group**: Adds a user to specified groups.
- **Remove from Group**: Removes a user from specified groups.
- **Change Password**: Changes the password for a user account.
